# Board Swap Plugin

This unofficial TaleSpire plugin allows swapping to up to 32 pre-configured boards (within the same campaign) using
hotkeys. This plugin can be used to swap boards via the keyboard or any via nay device that can generate keyboard
presses. 

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.1.0: Updated for compatibility with BR Taleweaver update
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

You will need to configure this plugin using the R2ModMan Edit Config. It will not do anything out of the box.

## Configuration

The configuration for this plugin has 32 keyboard triggers and 32 board names. When one of the keyboard triggers
is pressed, the plugins loads the board with the corresponding board name.

The keyboard triggers should not be empty, all 32 keyboard triggers should have a valid keyboard setting. However,
if not all 32 triggers are used, unused triggers can use the same valid keyboard key. So, for example, if only 16
triggers are used, the triggers for 17 to 32 could all be set to the same unlikley combo of ``RCTRL``+``LCTRL``+``X``. This
would ensure that the keyboard combo is unlikely to be accidentally triggered but still is a valid trigger.

All triggers that are expected to be used need to have a corresponding board name set. Triggers that are not expected
to be used can have a blank.

## Usage

Press the keyboard trigger for one of the configured boards and watch as all players (including GM) are switch to that
board.